Subject: bug#66514: closed (Re: bug#66514: start-process explorer.exe open wrong directory)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Oct 2023 15:19:01 +0000

Your bug report

#66514: start-process explorer.exe open wrong directory

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66514: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66514
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66514: start-process explorer.exe open wrong directory
From: Eli Zaretskii <[email-masked]>
To: Shynur Xie <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Oct 2023 18:18:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Shynur Xie <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 13 Oct 2023 13:15:49 +0000
> msip_labels:
> 
> > Try
> > (start-process "Explorer" nil "explorer.exe" "C:\\Users\\username")
> 
> Thanks for your help!  This expression works perfectly.
> It seems that the forward slash is for the explorer to receive
> arguments.

Yes, MS-Windows programs frequently treat the forward slash as the
option character, instead of the dash.

> >> When I use shell-mode or eshell, explorer works as expected.
> > How exactly do you "use shell-mode or eshell" to start the Explorer?
> 
> This is a faulty memory, and when I wrote the bug report, I tested
> only the 'reproduce' section.  My mistake.
> The bug can now be closed; it's more about 'explorer.exe' rather
> than Emacs.

Done, thanks.

Subject: start-process explorer.exe open wrong directory
From: Shynur Xie <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 13 Oct 2023 11:40:44 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

(Emacs v29.1 on MS-Windows)

Reproduce:

  1. $ emacs.exe -Q
  2. (start-process "Explorer" nil "explorer.exe" "C:/Users/username")

I think it should open the HOME folder,
but it actually opened "C:/Users/username/Documents".

When I use shell-mode or eshell, explorer works as expected.